Get a Webhook
curl --request GET \
--url https://api.virtuoussoftware.com/api/Webhook/{webhookId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/Webhook/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Webhook/{webhookId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Webhook/{webhookId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/Webhook/{webhookId}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 9500,
"payloadUrl": "https://example.org/webhooks/virtuous",
"secret": "whsec_1a2b3c4d5e6f7g8h9i0j",
"contactCreate": true,
"contactUpdate": true,
"giftCreate": true,
"giftUpdate": true,
"giftDelete": false,
"projectCreate": false,
"projectUpdate": false,
"projectDelete": false,
"formSubmission": true,
"contactNoteCreate": false,
"contactNoteUpdate": false,
"contactNoteDelete": false,
"eventCreate": false,
"eventUpdate": false,
"eventDelete": false,
"active": true
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Webhooks
Get a Webhook
Returns a single webhook, including its payload URL, signing secret, whether it is active, and which events it is subscribed to.
GET
/
api
/
Webhook
/
{webhookId}
Get a Webhook
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
(Required) The webhook identifier.
Response
OK
The unique identifier of the record in Virtuous.
Last modified on August 11, 2026
Was this page helpful?
⌘I